import App from './App'

import share from 'mixins/share.js'
Vue.mixin(share)

// 引入全局uView
import uView from '@/uni_modules/uview-ui'
Vue.use(uView)

import './filters'

// #ifdef APP-PLUS
plus.screen.lockOrientation('portrait-primary');
// #endif

// let v = new vconsole();
// #ifndef VUE3
import Vue from 'vue'
Vue.config.productionTip = false
App.mpType = 'app'
// import VConsole from 'vconsole'
// let vconsole = new VConsole()
Vue.config.ignoredElements = [...Vue.config.ignoredElements, 'wx-open-launch-weapp'];
// Vue.user(v)
const app = new Vue({
	...App,
	share
})
app.$mount()
// #endif

// #ifdef VUE3
import {
	createSSRApp
} from 'vue'
export function createApp() {
	const app = createSSRApp(App)
	return {
		app
	}
}
// #endif
