import Label from "./Label";

export default class Book {
	constructor(param) {
		const {
			id,
			title,
			avatar,
			summary,
			author,
			isStick,
			isOriginal,
			isPublish,
			content,
			username,
			userAvatar,
			quantity,
			commentCount,
			likeCount,
			collectCount,
			isCollect,
			commentContent,
			categoryName,
			categoryId,
			createTime,
			tagList,
			isUnlock,
			bookLegumes,
			lockRate
		} = param || {}
		this.id = id;
		this.title = title;
		this.avatar = avatar || "/static/images/logo.png";
		this.summary = summary;
		this.tagList = tagList ? tagList.map(item => {
			return new Label(item)
		}).sort((a, b) => {
			return a.sort - b.sort
		}) : [];
		this.author = author;
		this.isStick = isStick;
		this.isOriginal = isOriginal;
		this.isPublish = isPublish;
		this.content = content;
		this.username = username;
		this.userAvatar = userAvatar;
		this.quantity = quantity;
		this.commentContent = commentContent;
		this.commentCount = commentCount
		this.likeCount = likeCount;
		this.collectCount = collectCount;
		this.isCollect = isCollect;
		this.categoryName = categoryName;
		this.categoryId = categoryId;
		this.createTime = createTime;
		this.isUnlock = isUnlock;
		this.bookLegumes = bookLegumes;
		this.lockRate = lockRate;
	}
}