import Book from "../../../common/models/Book";
import {
	getTimeDesc
} from "../../../common/utils/timeUtil";

export default class BookshelfBookItem extends Book {
	constructor(param) {
		super(param || {})
		const {
			lastReadTime
		} = param || {}
		this.lastReadTime = lastReadTime || "";
		this.lastReadTimeDesc = lastReadTime ? getTimeDesc(lastReadTime) : "";
	}
}